import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/rewards_history_earned_entity.dart';

RewardsHistoryEarnedEntity $RewardsHistoryEarnedEntityFromJson(Map<String, dynamic> json) {
  final RewardsHistoryEarnedEntity rewardsHistoryEarnedEntity = RewardsHistoryEarnedEntity();
  final int? count = jsonConvert.convert<int>(json['count']);
  if (count != null) {
    rewardsHistoryEarnedEntity.count = count;
  }
  final int? page = jsonConvert.convert<int>(json['page']);
  if (page != null) {
    rewardsHistoryEarnedEntity.page = page;
  }
  final int? limit = jsonConvert.convert<int>(json['limit']);
  if (limit != null) {
    rewardsHistoryEarnedEntity.limit = limit;
  }
  final int? countPage = jsonConvert.convert<int>(json['count_page']);
  if (countPage != null) {
    rewardsHistoryEarnedEntity.countPage = countPage;
  }
  final List<dynamic>? list = (json['list'] as List<dynamic>?)?.map(
          (e) => e).toList();
  if (list != null) {
    rewardsHistoryEarnedEntity.list = list;
  }
  return rewardsHistoryEarnedEntity;
}

Map<String, dynamic> $RewardsHistoryEarnedEntityToJson(RewardsHistoryEarnedEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['count'] = entity.count;
  data['page'] = entity.page;
  data['limit'] = entity.limit;
  data['count_page'] = entity.countPage;
  data['list'] = entity.list;
  return data;
}

extension RewardsHistoryEarnedEntityExtension on RewardsHistoryEarnedEntity {
  RewardsHistoryEarnedEntity copyWith({
    int? count,
    int? page,
    int? limit,
    int? countPage,
    List<dynamic>? list,
  }) {
    return RewardsHistoryEarnedEntity()
      ..count = count ?? this.count
      ..page = page ?? this.page
      ..limit = limit ?? this.limit
      ..countPage = countPage ?? this.countPage
      ..list = list ?? this.list;
  }
}